import type { CursorPosition, Pane, TouchSplitter } from '@/components/hive-splitter/types';
import type { ComputedRef, Ref } from 'vue';
interface CalculatePanesSizeConfig {
    panes: Ref<Pane[]>;
    panesCount: ComputedRef<number>;
    touch: Ref<TouchSplitter>;
    cursorPosition: CursorPosition;
    horizontal: boolean;
    splitterRef: Ref<HTMLElement | null>;
}
export default function calculatePanesSize({ panes, panesCount, touch, cursorPosition, horizontal, splitterRef, }: CalculatePanesSizeConfig): void;
export {};
