import { CommonProps } from '@/common/types/props';
import { Value } from '@/common/types/select';
import { type GridColumns, CssClassConfig } from './types';
interface Props extends CommonProps {
    row: Record<string, unknown>;
    index: number;
    columns: GridColumns[];
    itemsOnPage: number;
    currentPage: number;
    showAddButtons?: boolean;
    colorAlternation?: boolean;
    cssClass?: CssClassConfig;
    addRow: (up: boolean, index: number) => void;
    deleteRow: (index: number) => void;
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    showAddButtons: boolean;
    colorAlternation: boolean;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    event: (value: Record<string, unknown>) => void;
    mount: () => void;
    unmount: () => void;
    "update:modelValue": (value: Value) => void;
    "model-value-updated": (value: Value) => void;
    focusin: () => void;
    focusout: () => void;
    keydown: (event: KeyboardEvent) => void;
    search: (query: string) => void;
    queryUpdate: (value: string) => void;
    rowClick: (row: Record<string, unknown>, rowRef: import("vue").ComponentPublicInstance | null) => void;
    afterChange: (value: unknown) => void;
    afterEdit: (value: unknown) => void;
    beforeEdit: (value: unknown) => void;
    beforeChange: (value: unknown) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    showAddButtons: boolean;
    colorAlternation: boolean;
}>>> & {
    onFocusin?: (() => any) | undefined;
    onFocusout?: (() => any) | undefined;
    onKeydown?: ((event: KeyboardEvent) => any) | undefined;
    onMount?: (() => any) | undefined;
    onUnmount?: (() => any) | undefined;
    "onModel-value-updated"?: ((value: Value) => any) | undefined;
    "onUpdate:modelValue"?: ((value: Value) => any) | undefined;
    onEvent?: ((value: Record<string, unknown>) => any) | undefined;
    onAfterChange?: ((value: unknown) => any) | undefined;
    onSearch?: ((query: string) => any) | undefined;
    onBeforeEdit?: ((value: unknown) => any) | undefined;
    onAfterEdit?: ((value: unknown) => any) | undefined;
    onBeforeChange?: ((value: unknown) => any) | undefined;
    onQueryUpdate?: ((value: string) => any) | undefined;
    onRowClick?: ((row: Record<string, unknown>, rowRef: import("vue").ComponentPublicInstance | null) => any) | undefined;
}, {
    showAddButtons: boolean;
    colorAlternation: boolean;
}, {}>, Readonly<{
    default(props: {
        rowRef: import("vue").ComponentPublicInstance | null;
    }): any;
}>>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
